\begin{proof}[Proof of Eisensteins Theorem]
  \coms Ommited.\come
\end{proof}

\begin{lem}
  Let $f:R\to S$ be a ring isomorphism, $a\in R$. Then
  \begin{enumerate}
    \item $a\in \unts{R}$ if and only if $f(a)\in \unts{S}$.
    \item $a$ is irreducible in $R$ if and only if $f(a)$ is irreducible in $S$.
  \end{enumerate}
\end{lem}

\begin{bsp}
  Let $p$ be a prime number. Consider
  \[
  \phi_p := X^{p-1}+\hdots X^2 + X+ 1.
  \]
  Then $\phi_p \cdot (X-1) = X^p-1$. So $\phi_p(\exp(2\pi i /p)) = 0$. Consider now the evaluation map
  \[
  \ev_{X+1}:\zz[X]\to \zz[X],~f\mapsto f(X+1).
  \]
  This is an isomorphism, as an inverse is given by $\ev_{X-1}$. So \coms [...]\come
\end{bsp}

\begin{thm}
  \coms Some more stuff.\come
\end{thm}

\begin{bsp}
  Ommited.
\end{bsp}

\chapter{Basiscs in Galois-Theory}
\section{Lifting Properties}
%this needs the new numbering
\begin{rem}\label{18: injective lifting}
  Let $L/K$ be a field extension, and $\overline{L}$ the algebraic closure of $L$. By considering the inclusion $L\membarr \overline{L}$, get a map
  \[
  \fkcat(L,L)\to \fkcat(L,\overline{L}): \begin{tikzcd}[sep = small, cramped] L\ar{r}[above]{f}&L\ar[mapsto]{rr}&&L\ar{r}[above]{f}&L\ar[\embarr]{r}&\overline{L}\end{tikzcd}.
  \]
  This map is injective.
\end{rem}
\coms This includes the change mentioned in the script.\come
\begin{thm}\label{18:lift1}
  Let $K$ be a field, $M$ an algebraicly closed field such that $K\sse M$. Let $L/K$ be an algebraic field extension, and $K\sse Z\sse L$ an intermediate field. Let $\phi:Z\to M$ be a $K$-homomorphism. Then there is a $\phi':L\to K$ such that $\restr{\phi'}{Z} = \phi$, i.e. the diagram
  \[
  \begin{tikzcd}
    L\ar[dashed]{r}[above]{\phi'}\ar[dash]{d}&M\\
    Z\ar{r}[below]{\phi}&M \ar[equal]{u}\\
    K\ar[dash]{u}\ar[equal]{r}&K\ar[dash]{u}
  \end{tikzcd}
  \]
  commutes.
\end{thm}
\begin{proof}
  Consider the set
  \[
  \mathcal{M} := \lset (L',\phi') \;\middle|\;
  \begin{tabular}{@{}l@{}}
    $L'$ is intermediate field of $L$,\\
    $\phi':L'\to M$ is a $K$-homomorphism with $\restr{\phi'}{Z}=\phi$.
   \end{tabular}
   \rset.
  \]
  Then $\mathcal{M}$ is not empty, as $(Z,\phi)\in \mathcal{M}$. Furthermore, $\mathcal{M}$ is a partially ordered set, by setting
  \[
  (L',\phi')\sse (L'',\phi'')\qquad \text{if and only if}\qquad L'\sse L'', \restr{\phi''}{L'} = \phi'
  \]
  Let $I$ be an indexing set and consider a chain $\mathcal{K} := \lset (L_i,\pphi_i)\ssp i\in I \rset$. Let
  \[
  \overline{L} := \bigcup_{i\in I}L_i,
  \]
  which is an intermediate field of $L/K$. Using this definition, we can glue all the different $\phi_i$ together, by setting
  \[
  \tilde{\phi}:\tilde{L}\to M,~x\mapsto \phi_i(x)~\text{for }x\in L_i.
  \]
  This is well-defined, as the maps agree on restrictions.
  Furthermore, $\tilde{\phi}$ is a $K$-homomorphism, so $(\tilde{L},\tilde{\phi})$ is an upper bound for $\mathcal{K}$. So by Zorns Lemma, $\mathcal{M}$ has an upper bound, which we denote as $(\hat{L},\hat{\phi})$. \par
  We now show that $\hat{L}=L$: Assume there is a $x\in \hat{L}$. As $\hat{L}/K$ is algebraic, we can consider the minimal polynomial $f:=\mip{x}{\hat{L}}\in \hat{L}[X]$. By applying $\hat{\phi}$ to the coefficients of $f$, we get the polynomial $g:= \hat{\phi}(f)\in M[X]$. As $M$ is algebraicly closed, there is a $y\in M$, such that $g(y)=0$.\par
  Consider now the $K$-algebra morphism
  \[
  \psi: \hat{L}[X]\to M,~\sum a_iX_i \mapsto \sum \hat{\phi}(a_i)y^i.
  \]
  By definition of $y$, we have $\psi(f)=0$. So $(f)\sse \ker \psi$. As $f$ is irreducible, and $\hat{L}$ is a field, the ideal $(f)$ is maximal. As $\psi$ is not the zero-map (We can take the identity polynomial $1$, which maps to $\hat{\phi}(a_0)\neq 0$, as ring homomorphisms of fields are injective.) So we get an induced $K$-homomorphism
  \[
  \hat{\psi}: \hat{L}[X]/(f) \to M \qquad \text{with}\qquad \restr{\hat{\psi}}{\hat{L}} = \hat{\phi}.
  \]
  Furthermore, by \cref{14:polyquot2}, we have $\hat{L}(x) \cong \hat(L)[X]/(f)$, as $f$ is the minimal polynomial of $x$. So
  \[
  (\hat{L},\hat{\phi})\sse (\hat{L}[x],\hat{\psi}),
  \]
  contrary to the assumption of maximality of $\hat{L}$.
\end{proof}
\begin{cor}
  Let $L/K$ be a algebraic field extension. Then there is a $K$-homomorphism $L\to \kk$.
\end{cor}
\begin{proof}
  Consider the intermediate field $K\sse K\sse L$ and $\phi=\id_K$.
\end{proof}
\coms This was done later, but really, this is the right place for it.\come
\begin{nlem}
  Let $L$ be an algebraic field extension. Then
  \[
  \gal(L/K) = \fkcat (L,L).
  \]
\end{nlem}
\begin{proof}
    Assume first that $L/K$ is finite. As every $K$-homomorphism $f\in \fkcat(L,L)$ is injective, it is surjective too, as $L$ is a finite-dimensional $K$-vector space and $f$ in particual $K$-linear.\par

    In the general case, consider any $a\in L$. As $L/K$ is algebraic, we can consider the minimal polynmoial $f:= \mip{a}{K} = \sum_{i=1}^n a_iX_i$. Then for every $\phi\in \fkcat(L,L)$, we have that $\phi(a)$ is a root of $f$, as
    \begin{align*}
    f\left(\phi(a)\right)&= \sum_{i=0}^n a_i \phi(a)^i\\
    &= \sum_{i=0}^n \phi(a_i)\phi(a)^i\\
    &= \sum_{i=0}^n \phi(a_ia^i)\\
    &= \phi\left(\sum_{i=0}^n a_i a^i\right)\\
    &= \phi\left(f(a)\right)\\
    &= \phi(0) = 0.
    \end{align*}
    Consider now the field extension
    \[
    L':= K\left(\lset \text{roots of }\mip{a}{K}\text{ in }L\rset \right).
    \]
    We have $\phi(L')\sse L'$, as $\phi$ only permutes the roots of $f$. This yields a well defined morphism $\restr{f}{L'}\in \fkcat(L',L')$, which is bijective (as $L'/K$ is finite).
    So in particual, $a\in \im \restr{\phi}{L'}\sse \im \phi$, and hence $\phi$ is surjective.
  \end{proof}
\begin{thm}[Artin]\label{18:artin}
  Let $\phi:L_1\to L_2$ be a morphism of fields, and $L_1(a)/L$ an algebraic field extension. Let
  \[
  f := \mip{a}{L_1} = \sum_{i=0}^n a_i X^i \in L_1[X].
  \]
  Let
  \[
  \phi(f) = \sum_{i=0}^n \phi(a_i)X^i \in L_2[X].
  \]
  Assume $\phi(f)$ has exactly $m$ different zeros $b_1,\hdots,b_m$ in $L_2$.\par
  Then there are exactly $m$ homomorphisms of fields
  \[
  \phi_1,\hdots,\phi_m: L_1(a)\to L_2\qquad \text{with}\qquad \restr{\phi_i}{L_1} = \phi,
  \]
  i.e. for all $1\leq i\leq m$, the diagram
  \[
  \begin{tikzcd}
    L_1(a)\ar[dashed]{r}[above]{\phi_i}\ar[dash]{d}&L_2\ar[equal]{d}\\
    L_1\ar{r}[below]{\phi}&L_2
  \end{tikzcd}
  \]
  commutes. \par
  Furthermore, the $\phi_i$ can be choosen in such a way that
  \[
  \phi_i(a) = b_i.
  \]
\end{thm}

\begin{proof}
  Let
  $
  \phi':L_1(a)\to L_2 $ be a ring homomorphism with  $\restr{\phi'}{L_1} = \phi.$
  We know by \cref{14:polyquot2} that $L_1(a) = L_1 [a]$. Consider now for $y\in L_1(a)$ the basis form
  \[
  y:= \sum_{i=0}^{n-1}\lambda_i a^i~\text{with }\lambda_i \in L_1.
  \]
  Then
  \begin{align*}
  \phi'(y) &= \sum_{i=0}^{n-1}\phi'(\lambda_i a) \\
  &= \sum_{i=0}^{n-1} \phi'(\lambda_i)\phi'(a)\\
  &= \sum_{i=0}^{n-1} \phi(\lambda_i)\phi'(a),
  \end{align*} as $\restr{\phi'}{L_1} =  \phi$. So $\phi'$ is uniquely determined by it's value for $a$.\par
  We now have $\phi(f)(\phi'(a)) = 0$, as
  \begin{align*}
    \phi(f)(\phi'(a)) &= \left(\sum_{i=0}^n \phi(a_i)X^i\right)(\phi'(a))\\
    &= \sum_{i=0}^n \phi(a_i)\phi'(a)^i\\
    &= \sum_{i=0}^n \phi(a_i)\phi'(a^i)\\
    &= \sum_{i=0}^n \phi'(a_i)\phi'(a^i)\\
    &= \sum_{i=0}^n \phi'(a_i\cdot a^i)\\
    &= \phi'\left(\sum_{i=0}^n a_i\cdot a^i\right)\\
    &= \phi'(f(a))\\
    &= \phi'(0)=0,
  \end{align*}
  where we used that $\phi'(a_i)=\phi(a_i)$ holds for all $a_i\in L_1$.\par
  Since we assumed that there are exactly $m$ roots of $\phi(f)$ in $L_2$, there are at most $m$ liftings $\phi':L_1(a)\to L_2$ with $\restr{\phi'}{L_1}=\phi$.\par

  Consider now a root $z\in L_2$ of $\phi(f)\in L_2[X]$, and the evaluation morphism
  \[
  \ev_z:L_1[X]\to L_2,~\sum_{i=0}^n \lambda_i X^i \mapsto \sum_{i=0}^n \phi(\lambda_i)z^i.
  \]
  Then $f\in \ker \ev_z$, and hence $(f)\sse \ker \ev_z$. So we get an induced ring homomorphism
  \[
  \overline{\ev}_z:L_1[X]/f\to L_2
  \]
  extending $\ev_z$. But as $L_1[X]/(f)\cong L_1(a)$, where the isomorphism fixes $L_1$, we can regard $\overline{ev}_z$ as a map
  \[
  \overline{\ev}_z:L_1(a)\to L_2
  \]
  with $\restr{\overline{\ev}_z}{L_1}=\phi$ and $\overline{\ev}_z(a)=z$,
\end{proof}
\begin{rem}\label{18:galeq}
  Let $L/K$ be a field extensions.
  Then there is a bijection
  \[
  \begin{tikzcd}
      \gal(L/K) \ar[leftrightarrow]{r}&
    \lset
      K-\text{homomorphisms }f:L\to M\;\middle|\;
      \begin{tabular}{@{}l@{}}
        $L\sse M$, $M$ algebraicly closed,\\
        $\im(f)=L$
       \end{tabular}
       \rset.
  \end{tikzcd}
\]
\end{rem}
\coms added later - todo: fix numbering for such remarks and stuff\come
\begin{rem}
  Let $L/K$ be an algebraic field extension. By the Lemma above Artins theorem, we have $\gal(L/K) = \fkcat(L,L).$. By Artin, ther
\end{rem}
\coms This is a corollary to Artins Theorem\come
\begin{cor}\label{18:only finitly many lifts to algebraic closure}
  Let $L/K$ be a finite field extension. Then the set of $K$-homomorphisms $\fkcat(L,\overline{L})$ is finite.
\end{cor}
\lec
